# -*- coding: utf-8 -*-
# Copyright 2020 L'Heureux Cyclage
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).

from openerp.osv import osv
from openerp.osv import orm
from openerp.osv import fields


class pos_make_payment(orm.Model):
    _inherit = 'pos.make.payment'

    def check(self, cr, uid, ids, context=None):
        """Add a check of partner mobile number to the check method."""
        pmps = self.browse(cr, uid, ids, context=context)
        for pmp in pmps:
            journal = pmp.journal_id
            if journal.is_cpv:
                order_obj = self.pool.get('pos.order')
                order_id = context['active_id']
                order_obj.check_partner_mobile(cr, uid, order_id, context=None)
        return super(pos_make_payment, self).check(
            cr, uid, ids, context=context
        )
